Zum Inhalt springen

Hotels

Read the next page of a running search. Pass the same dates and room count as the search so rate keys stay bookable.

get/v1/hotels/search/{searchId}

  • Erfordert Authentifizierung

Parameter

NameOrtTypBeschreibung
searchId*Pfadstring
cursorQueryinteger (int32)
checkInQuerystring
checkOutQuerystring
roomsQueryinteger (int32)

Antworten

200OKHotelSearchResponse

  • searchIdstring
  • statusstring
  • cursorinteger (int32)
  • suppliersDoneinteger (int32)
  • supplierCountinteger (int32)
  • totalinteger (int32)
  • pageinteger (int32)
  • pageCountinteger (int32)
  • partialboolean
  • starFacetsobjectnullbar
  • HotelResult[]
    • hotelCodestring
    • namestringnullbar
    • starsinteger (int32)nullbar
    • cityCodestringnullbar
    • cityNamestringnullbar
    • countryCodestringnullbar
    • addressstringnullbar
    • latitudenumber (double)nullbar
    • longitudenumber (double)nullbar
    • imagesstring[]
    • amenitiesstring[]
    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • HotelRoom[]
  • 404Not FoundProblemdetails nach RFC 7807

Codebeispiele

Vollständige Programme, die die Anfrage so signieren, wie das Gateway sie prüft. Ersetzen Sie YOUR_KEY_ID und YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/search/04864abd0ae74b10baa02b8214a2044f\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/hotels/search/04864abd0ae74b10baa02b8214a2044f" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"